> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourhomie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat abrufen

> Rufe einen einzelnen Chat anhand seiner ID ab.

Rufe die Details eines bestehenden Chats anhand seiner ID ab.

## Authentifizierung

Diese Anfrage benötigt deinen API-Key im `x-api-key`-Header.

## Request

<ParamField path="chatId" type="string" required>
  ID des abzurufenden Chats.
</ParamField>

## Response

<ResponseField name="id" type="string" required>
  ID des Chats.
</ResponseField>

<ResponseField name="chatbotId" type="string" required>
  ID des Chatbots, zu dem der Chat gehört.
</ResponseField>

<ResponseField name="userId" type="string" required>
  ID des verknüpften Endnutzers.
</ResponseField>

<ResponseField name="organizationId" type="string" required>
  ID der Organisation, der der Chat gehört.
</ResponseField>

<ResponseField name="createdAt" type="string" required>
  ISO-8601-Zeitstempel, wann der Chat erstellt wurde.
</ResponseField>

## Beispiele

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.yourhomie.ai/v1/chats/ab12cd34-ef56-7890-ab12-cd34ef567890 \
    -H "x-api-key: homie_sk_live_8f3a..."
  ```

  ```javascript JavaScript (fetch) theme={null}
  const chatId = "ab12cd34-ef56-7890-ab12-cd34ef567890";

  const res = await fetch(`https://api.yourhomie.ai/v1/chats/${chatId}`, {
    headers: {
      "x-api-key": "homie_sk_live_8f3a...",
    },
  });

  const chat = await res.json();
  ```
</CodeGroup>

### Erfolgreiche Response

```json theme={null}
{
  "id": "ab12cd34-ef56-7890-ab12-cd34ef567890",
  "chatbotId": "5e9c1a2b-3d4e-4f60-b2f2-9f4b1c2d3e4f",
  "userId": "7c2f9d10-4a6b-4c8e-9f1a-2b3c4d5e6f70",
  "organizationId": "11111111-2222-3333-4444-555555555555",
  "createdAt": "2025-10-16T11:44:41.140Z"
}
```

### Fehler-Response

```json theme={null}
{
  "message": "Chat not found"
}
```


## OpenAPI

````yaml api-reference/openapi.json GET /v1/chats/{chatId}
openapi: 3.0.0
info:
  title: homie AI API
  description: The homie AI API description
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.yourhomie.ai
    description: Production server
security: []
tags:
  - name: Chat
    description: ''
  - name: Knowledge
    description: Public, CORS-enabled endpoints for PDP question sets
paths:
  /v1/chats/{chatId}:
    get:
      tags:
        - Chat
      summary: Get Chat
      operationId: ChatController_getChat
      parameters:
        - name: chatId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatDto'
      security:
        - bearer: []
components:
  schemas:
    ChatDto:
      type: object
      properties:
        id:
          type: string
        chatbotId:
          type: string
        userId:
          type: string
        organizationId:
          type: string
        createdAt:
          type: string
      required:
        - id
        - chatbotId
        - userId
        - organizationId
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````